%undefine __libtoolize
%set_verify_elf_method textrel=relaxed

%define alsa 1
%define unstable 0
%define with_kaboodle 0

%define qtdir /usr/lib/qt3
#%define timiddir %_datadir/timidity

%add_findprov_lib_path %_libdir/kde3
%add_findreq_skiplist /usr/share/apps/noatun/skins/*
%add_findprov_skiplist /usr/share/apps/noatun/skins/*

%define kdemenu %_datadir/applications/kde
%define applnk %_datadir/applnk
%define bapplnk %buildroot/%_datadir/applnk
%define bmenudir %buildroot/%_menudir
%define bkdemenu %buildroot/%_datadir/applications/kde
%define d2m kdedesktop2mdkmenu.pl


Name: kdemultimedia
Version: 3.2.3
Release: alt1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Multimedia
License: GPL
URL: http://www.kde.org/

Requires: %name-arts = %version-%release
Requires: %name-juk = %version-%release
%if %with_kaboodle
Requires: %name-kaboodle = %version-%release
%endif
Requires: %name-kaudiocreator = %version-%release
Requires: %name-kfile = %version-%release
Requires: %name-kmid = %version-%release
Requires: %name-kmix = %version-%release
Requires: %name-krec = %version-%release
Requires: %name-kscd = %version-%release
Requires: %name-libs = %version-%release
Requires: %name-noatun = %version-%release
#Requires: %name-kmidi = %version-%release


Source: kdemultimedia-%version.tar.bz2
#Source: kdemultimedia-3.1rc5.tar.bz2

# SuSE
Patch61: fix-aliasing.diff
Patch62: fix-kscd-blocking-device.diff
Patch63: initial-preferences.diff
Patch64: kdemultimedia.diff

# ALT
Patch100: kdemultimedia-3.1-kscd_var_lib_cddb.patch
#Patch101: kdemultimedia-3.0-timidity.patch
#Patch102: kdemultimedia-3.1.4-timidity.cfg.patch
Patch103: kdemultimedia-3.1.0-cddb_kaudiocreator.patch
Patch104: kdemultimedia-3.1.2-audiocd_var_lib_cddb.patch
Patch105: 3.2.0-flags.patch
Patch106: kdemultimedia-3.1.4-kmid_encode_text.patch
Patch107: kmix-3.2-dev-names.patch
Patch108: kio_audiocd-3.2.2-fix-blocking-cd.patch

# Automatically added by buildreq on Mon Apr 12 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs cdparanoia fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel kde-settings kdelibs-devel libalsa-devel libarts-devel libarts-qt-devel libaudiofile-devel libcdparanoia-devel libjpeg-devel liblame-devel libmusicbrainz-devel libogg-devel libpng-devel libqt3-devel libstdc++-devel libtag-devel libtiff-devel libvorbis-devel libxine-devel qt3-designer xml-utils zlib-devel
BuildRequires: XFree86-devel XFree86-libs cdparanoia
BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel
BuildRequires: libalsa-devel libaudiofile-devel
BuildRequires: libcdparanoia-devel libjpeg-devel liblame-devel libmusicbrainz-devel
BuildRequires: libogg-devel libpng-devel libqt3-devel libstdc++-devel libtag-devel
BuildRequires: libtiff-devel libvorbis-devel libxine-devel
BuildRequires: qt3-designer xml-utils zlib-devel
BuildRequires: kernel-headers kernel-headers-alsa trm
#BuildRequires: libflac-devel libflac++-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs >= 3.0.0 kdelibs-devel >= 3.0.0
BuildRequires: libarts-qt >= 1.0.0 libarts-qt-devel >= 1.0.0

%description
Multimedia tools for the K Desktop Environment.

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
Conflicts: kdemultimedia <= 3.0
#
%description common
Common empty package for %name

%package devel
Summary: Header files for %name
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: %name = %version-%release
#
%description devel
Header files needed for developing kdemultimedia applications.

%package juk
Summary: Music player, jukebox, tagger and music collection manager
Group: Sound
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Requires: trm
#
%description juk
Juk is well, a jukebox.  As is typical with many jukebox
applications, Juk allows you to edit the tags of the
audio files, and manage your collection and playlists.

%package arts
Summary: Additional functionality for the aRts sound system
Group: Sound
Requires: %name-libs arts
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Provides: kdemultimedia-libarts-audiofile = %version-%release,	kdemultimedia-libarts-mpeglib = %version-%release
Provides: kdemultimedia-libarts-xine = %version-%release
#
%description arts
Additional functionality for the aRts sound system.
Among other things, this adds MIDI support, some synthesizer functionality
and artsbuilder, a frontend for connecting aRts modules to generate
synthesizers.

%package kaboodle
Summary: A KDE media player
Group: Video
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kaboodle
A KDE media player. Kaboodle supports playback of Ogg, MP3 (including streaming
MP3), MP2, WAV and MOD audio files as well as MPEG video files.

%package kaudiocreator
Summary: KAudioCreator is an audio file creation solution for KDE
Group: Sound
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kaudiocreator
KAudioCreator is an audio file creation solution for KDE.
Ripping the files using KDE (with CDDB support), it allows you
to use whatever encoder you wish to encode your audio files.
It also provides a job control system so you can see what
files have succeeded or failed, and stop or cancel jobs
as the application progresses. 

%package noatun
Summary: A KDE media player
Group: Sound
Requires: %name-arts
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description noatun
A KDE media player. Noatun supports playback of Ogg, MP3 (including streaming
MP3), MP2, WAV and MOD audio files as well as MPEG video files.

%package kfile
Summary: KFile support for audio files
Group: Sound
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Provides: %name-kfile-plugins = %version-%release
#
%description kfile
Installing kdemultimedia-kfile allows all KFile aware applications (most KDE
applications) to gather, display and edit information on Ogg, MP3, WAV and M3U
files.

%package kmid
Summary: A MIDI player (using the soundcard's sequencer functionality)
Group: Sound
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmid
  A MIDI player using the soundcard's sequencer functionality.
kmid plays MIDI files through an attached MIDI device or, if your hardware
supports it, the soundcard's sequencer functionality.
  If you're looking for an application that plays MIDI files by converting
them to digital audio first (works on any soundcard and typically provides
better sound than a soundcard sequencer, but can't play to external MIDI
devices), try kmidi instead.

%package kmidi
Summary: A MIDI player (converting to digital audio)
Group: Sound
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmidi
  A MIDI player. Kmidi works by converting MIDI files to digital audio and
sending them to your soundcard's DSP. It works on every soundcard supported
by Linux and typically gives better sound quality than using the soundcard's
builtin sequencer functionality (if any), but can't send output to external
MIDI devices.
  If you're looking for an application that plays MIDI files to external
devices or your soundcard's builtin sequencer, try kmid instead.

%package kmix
Summary: KDE sound mixer applet
Group: Sound
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmix
A sound mixer applet for KDE. kmix allows you to control the volumes of your
sound card from a KDE panel applet.

%package krec
Summary: KDE based recorder app
Group: Sound
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description krec
This is a KDE based recorder app

%package koncd
Summary: Frontend for mastering and burning CDs
Group: Archiving/Cd burning
Requires: cdrecord mkisofs
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description koncd
KOnCD is a graphical frontend for mastering and burning CD-ROMs.

%package kscd
Summary: Audio-CD player for KDE
Group: Sound
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kscd
KSCD is an Audio-CD player for KDE.

%package libs
Summary: Libraries used by KDE multimedia applications
Group: System/Libraries
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Provides: kdemultimedia-kio-audiocd = %version-%release,	kdemultimedia-yaf = %version-%release
Provides: kdemultimedia-mpeglib = %version-%release
#
%description libs
Libraries used by KDE multimedia applications.
kdemultimedia-libs includes mpeglib.

%prep
%setup -q -n kdemultimedia-%version
#%setup -q -n kdemultimedia-3.1rc5

%patch61 -p0
%patch62 -p0
%patch63 -p0
%patch64 -p0

#%patch100 -p1
#%patch101 -p1
#%patch102 -p1
#%patch103 -p1
#%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1

#%if ! %with_ktimidity
#if [ -f kmidi/Makefile.am ]
#then
#    subst "s|prep-TIMIDITY||g" kmidi/Makefile.am
#    subst "s|TIMIDITY||g" kmidi/Makefile.am
#fi
#%endif

for f in `find -type f -name \*.mcopclass`
do
    subst 's/\(Library=.*\)\.la$/\1.so/' "$f"
done

subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in

make -f Makefile.cvs ||:

%build
rm -rf %buildroot

%add_optflags %optflags_shared

export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"

%configure \
%if %unstable
		    --enable-debug=full \
%else
		    --disable-debug \
                    --enable-final \
%endif
                    --enable-shared \
                    --disable-static \
                    --disable-embedded \
                    --disable-palmtop \
                    --disable-rpath \
                    --with-gnu-ld \
                    --with-pic \
                    --with-xinerama \
%if %alsa
                    --with-alsa \
		    --with-arts-alsa \
%else
		    --without-alsa \
%endif
		    --enable-audio=oss,nas,wav \
		    --disable-lametest \
		    --disable-vorbistest \
		    --disable-xinetest \
		    --enable-kscd-defaults \
		    --with-kscd-cdda \
		    \
		    --enable-xaw \
		    --disable-slang \
		    --disable-motif \
		    --disable-gtk \
		    --disable-tcltk \
		    --with-motif-includes=none \
		    --with-motif-libraries=none \
		    --program-transform-name="" \
		    --disable-libtool-lock
#		    --enable-audio=oss,nas,wav,alsa \

%make
%make -C oggvorbis_artsplugin
%make -C mpg123_artsplugin
%make -C xine_artsplugin/tools
%make -C juk/juk-applet

%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# David - 2.2-0.alpha2.4mdk - Don't strip when we are not in final release
%if %unstable
%set_strip_method none
%endif

%make_build \
    DESTDIR=%buildroot \
    prefix=%prefix \
    exec_prefix=%prefix \
install
%make DESTDIR=%buildroot install -C oggvorbis_artsplugin
%make DESTDIR=%buildroot install -C mpg123_artsplugin
%make DESTDIR=%buildroot install -C xine_artsplugin/tools
%make DESTDIR=%buildroot install -C juk/juk-applet

# Add symlink for compatibility
ln -s ../../../../var/lib/cddb %buildroot/%_datadir/apps/kscd/cddb

# Create menu structure
install -d %bmenudir/

perl -pi -e "s|Midi\/|Midi and |" %bkdemenu/kmid.desktop
#perl -pi -e "s|Midi\ synth|KDE Midi synth|" %bkdemenu/kmidi.desktop

# %%_datadir/applnk/Multimedia/
%d2m %name-arts Multimedia/Sound %bkdemenu/artsbuilder.desktop %bmenudir/kdemultimedia-artsbuilder
%d2m %name-arts Multimedia/Sound %bkdemenu/artscontrol.desktop %bmenudir/kdemultimedia-artscontrol kde
%d2m %name-kmid Multimedia/Sound %bkdemenu/kmid.desktop %bmenudir/kdemultimedia-kmid
#%d2m %name-kmidi Multimedia/Sound %bkdemenu/kmidi.desktop %bmenudir/kdemultimedia-kmidi
%d2m %name-krec Multimedia/Sound %bkdemenu/krec.desktop %bmenudir/kdemultimedia-krec
%d2m %name-kmix Multimedia/Sound %bkdemenu/kmix.desktop %bmenudir/kdemultimedia-kmix kde
%d2m %name-kscd Multimedia/Sound %bkdemenu/kscd.desktop %bmenudir/kdemultimedia-kscd
%d2m %name-noatun Multimedia/Sound %bkdemenu/noatun.desktop %bmenudir/kdemultimedia-noatun
%d2m %name-juk Multimedia/Sound %bkdemenu/juk.desktop %bmenudir/kdemultimedia-juk
%d2m %name-kaudiocreator Multimedia/Sound %bkdemenu/kaudiocreator.desktop %bmenudir/kdemultimedia-kaudiocreator
%d2m %name-kaboodle Multimedia/Video %bkdemenu/kaboodle.desktop %bmenudir/kdemultimedia-kaboodle kde
#%if %with_ktimidity
#%d2m %name-kmidi Multimedia/Sound %bkdemenu/timidity.desktop %bmenudir/kdemultimedia-ktimidity kde
#%endif

# %%_datadir/applnk/Settings/Sound/
%d2m %name-kmix Configuration/KDE/Sound %bkdemenu/audiocd.desktop %bmenudir/kdemultimedia-kcmaudiocd kde
%d2m %name-kmix Configuration/KDE/Sound %bkdemenu/kmixcfg.desktop %bmenudir/kdemultimedia-kmixcfg kde
%d2m %name-libs Configuration/KDE/Sound %bkdemenu/libkcddb.desktop %bmenudir/kdemultimedia-libkcddb kde

#for i in %buildroot/%_datadir/apps/kmidi/*.mid ; do rm -f $i ; done

%post libs
%post_ldconfig
%postun libs
%postun_ldconfig

%post arts
%post_ldconfig
%update_menus
%postun arts
%postun_ldconfig
%clean_menus

%post juk
%post_ldconfig
%update_menus
%postun juk
%postun_ldconfig
%clean_menus

%post noatun
%post_ldconfig
%update_menus
%postun noatun
%postun_ldconfig
%clean_menus

%post kscd
%post_ldconfig
%update_menus
%postun kscd
%postun_ldconfig
%clean_menus

%post kmid
%post_ldconfig
%update_menus
%postun kmid
%postun_ldconfig
%clean_menus

%post kaboodle
%update_menus
%postun kaboodle
%clean_menus

%post kaudiocreator
%update_menus
%postun kaudiocreator
%clean_menus

%post kmidi
%update_menus
%postun kmidi
%clean_menus

%post kmix
%update_menus
%postun kmix
%clean_menus

%post krec
%update_menus
%postun krec
%clean_menus

%files
%files common

%files juk
%_bindir/juk
%_bindir/juk-applet
%_iconsdir/*/*/actions/juk_*.png
%_iconsdir/*/*/apps/juk.png
%_datadir/apps/konqueror/servicemenus/jukservicemenu.desktop
%_datadir/apps/juk
%doc %_docdir/HTML/en/juk
%kdemenu/juk.desktop
%_menudir/%name-juk

%files arts
%_libdir/mcop/Arts/*
%_libdir/mcop/arts*
%exclude %_libdir/mcop/artseffects*
%_libdir/mcop/*PlayObject.mcopclass
%_libdir/mcop/mpg123*
%_libdir/mcop/ogg*
%_libdir/mcop/audiofile*
%_libdir/libmpg*.so*
%_libdir/libarts_*.so*
%_libdir/libartscontrol*.so*
%_libdir/libartsbuilder*.so*
%_libdir/libartsgui*.so*
%_libdir/libartsmidi*.so*
%_libdir/libartsmodules*.so*
%_libdir/libaudiofile*.so*
%_libdir/libogg*.so*
%_bindir/arts*
%_bindir/midisend
%_bindir/mpeglibartsplay
%_datadir/apps/artsbuilder
%_datadir/apps/artscontrol
%_datadir/apps/kicker/applets/artscontrol*
%_datadir/icons/*/*/*/arts*
%kdemenu/arts*
%_datadir/mimelnk/*/x-arts*
#
%_libdir/kde3/videothumbnail.*
%_datadir/services/videothumbnail.desktop
%_datadir/apps/videothumbnail
#
%doc %_docdir/HTML/en/artsbuilder
%_menudir/kdemultimedia-artsbuilder
%_menudir/kdemultimedia-artscontrol

%if %with_kaboodle
%files kaboodle
%_bindir/kaboodle
%_libdir/kde3/libkaboodlepart*
%_datadir/icons/*/*/*/kaboodle.png
%_datadir/apps/kaboodle
%kdemenu/kaboodle.desktop
%_datadir/services/kaboodleengine.desktop
%_datadir/services/kaboodle_component.desktop
%doc %_docdir/HTML/en/kaboodle
%_menudir/kdemultimedia-kaboodle
%endif

%files kaudiocreator
%_bindir/kaudiocreator
%_datadir/apps/kaudiocreator
%_iconsdir/*/*/apps/kaudiocreator.png
#
#%doc %_docdir/HTML/en/kaudiocreator
#
%kdemenu/kaudiocreator.desktop
%_menudir/kdemultimedia-kaudiocreator

%files kfile
%_libdir/kde3/kfile_*
%_datadir/services/kfile_*

%files kmid
%_bindir/kmid
%_libdir/libkmidlib.so*
%_libdir/kde3/libkmidpart*
%_datadir/apps/kmid
%_datadir/icons/*/*/*/kmid.png
%kdemenu/kmid.desktop
%_datadir/mimelnk/audio/x-karaoke.desktop
%_datadir/servicetypes/audiomidi.desktop
%doc %_docdir/HTML/en/kmid
%_menudir/kdemultimedia-kmid

#%files kmidi
#%_datadir/apps/kmidi
#%_datadir/applnk/Multimedia/kmidi.desktop
#%_datadir/applnk/Multimedia/More/kmidi.desktop
#%if %with_ktimidity
#%_datadir/applnk/Multimedia/timidity.desktop
#%endif
#%_datadir/icons/*/*/*/kmidi.png
#%_bindir/kmidi
#%if %with_ktimidity
#%_bindir/ktimidity
#%endif
#%_bindir/sf2cfg
#%doc %_docdir/HTML/en/kmidi
#%_menudir/kdemultimedia-kmidi
#%if %with_ktimidity
#%_menudir/kdemultimedia-ktimidity
#%endif

%files kmix
%_libdir/libkdeinit_kmix*.so*
%_libdir/kde3/*kmix*
%_datadir/icons/*/*/*/kmix.png
%_datadir/apps/kmix
%_datadir/apps/kicker/applets/kmixapplet.desktop
%_datadir/services/kmixctrl_restore.desktop
%_bindir/kmix*
%doc %_docdir/HTML/en/kmix
%doc %_docdir/HTML/en/kcontrol/kmixcfg
%kdemenu/kmix.desktop
%kdemenu/kmixcfg.desktop
%_menudir/kdemultimedia-kmix
%_menudir/kdemultimedia-kmixcfg

%files krec
%_bindir/krec
%_libdir/libkdeinit_krec.so*
%_libdir/kde3/krec*
%_libdir/kde3/kcm_krec*
%_libdir/kde3/libkrecexport_*
%_datadir/apps/krec
%_datadir/services/krec_export*
%_datadir/services/kcm_krec*
%_datadir/servicetypes/krec_export*
%_iconsdir/*/*/*/krec.png
#
%doc %_docdir/HTML/en/krec
#
%kdemenu/krec.desktop
%_menudir/kdemultimedia-krec

%files kscd
%_bindir/kscd
%_bindir/cddaslave
%_bindir/workman2cddb.pl
%_libdir/libworkman*.so*
%_datadir/apps/kscd
%_datadir/apps/profiles/kscd.profile.xml
%_datadir/icons/*/*/*/kscd.png
%_datadir/mimelnk/text/xmcd.desktop
#%dir /var/lib/cddb
#%attr(775,root,audio) %dir /var/lib/cddb/
#%attr(775,root,audio) %dir /var/lib/cddb/blues/
#%attr(775,root,audio) %dir /var/lib/cddb/classical/
#%attr(775,root,audio) %dir /var/lib/cddb/country/
#%attr(775,root,audio) %dir /var/lib/cddb/data/
#%attr(775,root,audio) %dir /var/lib/cddb/folk/
#%attr(775,root,audio) %dir /var/lib/cddb/jazz/
#%attr(775,root,audio) %dir /var/lib/cddb/misc/
#%attr(775,root,audio) %dir /var/lib/cddb/newage/
#%attr(775,root,audio) %dir /var/lib/cddb/reggae/
#%attr(775,root,audio) %dir /var/lib/cddb/rock/
#%attr(775,root,audio) %dir /var/lib/cddb/soundtrack/
%doc %_docdir/HTML/en/kscd
%kdemenu/kscd.desktop
%_menudir/kdemultimedia-kscd

%files noatun
%_datadir/apps/noatun
%_datadir/apps/kconf_update/*
%_datadir/icons/*/*/*/noatun.png
%_libdir/mcop/Noatun
%_libdir/mcop/noatun*
%_libdir/mcop/ExtraStereo.mcopclass
%_libdir/mcop/VoiceRemoval.mcopclass
%_libdir/mcop/RawWriter.mcopclass
%_libdir/mcop/ExtraStereoGuiFactory.mcopclass
%_libdir/mcop/artseffects.*
%_libdir/mcop/winskinvis.*
#%_libdir/libdummy*
%_libdir/*noatun*.so*
%_libdir/libartseffects*.so*
%_libdir/kde3/noatun*
%_libdir/libwinskinvis*.so*
%_bindir/noatun*
%_datadir/mimelnk/interface/x-winamp-skin.desktop
%kdemenu/noatun.desktop
%doc %_docdir/HTML/en/noatun
%_menudir/kdemultimedia-noatun

%files libs
%_bindir/yaf-*
%_libdir/libmpeg*.so*
%_libdir/libkcddb.so*
%_libdir/libyaf*.so*
%_libdir/kde3/kcm_audiocd.*
%_libdir/kde3/kio_audiocd.*
%_libdir/kde3/kcm_cddb.*
%kdemenu/audiocd.desktop
%_datadir/services/audiocd.protocol
%kdemenu/libkcddb.desktop
%_menudir/%name-kcmaudiocd
%_menudir/%name-libkcddb

%files devel
%_includedir/*.h
%_includedir/arts/*
%_includedir/libkcddb
%_includedir/libwm
%_includedir/noatun
%_includedir/mpeglib
%_includedir/mpeglib_artsplug

%changelog
* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version
- fix kio_audiocd blocking cd with data

* Wed May 26 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt3
- rebuild with new libmusicbrainz
- don't package kaboodle

* Thu May 13 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt2
- add patches from SuSE to don't block device by kscd

* Mon Apr 12 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- new version

* Wed Mar 17 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt1
- update code from KDE_3_2_BRANCH

* Wed Mar 03 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- new version
- update code from KDE_3_2_BRANCH

* Wed Jan 28 2004 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt4
- fix channel names translation in kmix
- build --without-alsa

* Tue Dec 02 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt3
- remove *.la files from package

* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt2
- remove requires timidity
- add encode text in kmid

* Thu Sep 18 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- update code from cvs

* Wed Aug 20 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt1
- update code from cvs

* Mon Jul 21 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt0.2
- rebuild

* Fri Jul 18 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt0.1
- update code from cvs

* Fri Jul 11 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt3
- update code from cvs
- don't build aktion

* Mon May 26 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt2
- update code from cvs KDE_3_1_BRANCH
- add patch to save cddb in /var/lib/cddb

* Thu May 22 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt1
- update code from cvs KDE_3_1_BRANCH
- add xine-arts-plugin patches 

* Tue Apr 29 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.1-alt2
- update code from cvs KDE_3_1_BRANCH
- update xine_artsplugin

* Mon Mar 31 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt1
- update code from cvs KDE_3_1_BRANCH

* Fri Mar 14 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt0.1
- update code from cvs KDE_3_1_BRANCH
- update xine_artsplugin
- add MDK patches

* Thu Mar 13 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6
- update code from cvs KDE_3_1_BRANCH

* Tue Feb 18 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt5
- update code from cvs KDE_3_1_BRANCH

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- update from cvs

* Wed Jan 29 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update from cvs KDE_3_1_0_RELEASE
- build with libxine-1.0.0.beta3

* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- update code from cvs

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- update code from cvs
- add MDK patches

* Fri Nov 22 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.21
- update code from cvs

* Wed Nov 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc2
- rc2

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc1
- rc1
- increase %%release to easy check dependencies

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.2
- update from cvs

* Tue Sep 10 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt3
- rebuild with gcc 3.2 & objprelink

* Mon Sep 02 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt2
- update from cvs
- add patches from cooker

* Mon Aug 19 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt1
- new version

* Wed Jul 31 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt2
- rebuild against new vorbis

* Wed Jul 03 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- new version

* Mon Jun 17 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt2
- fix menu items

* Sun May 26 2002 ZerG <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Wed May 15 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt4
- fix build with ogg vorbis libs

* Tue Apr 23 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3
- move to /usr
- apply old patches
- update from cvs

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- remove system catalogs from %%files

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- release

* Tue Apr 02 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt0.2.cvs20020402
- update from cvs

* Fri Mar 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt0.1.rc3
- build for ALT

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Fri Mar 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.4mdk
- rebuild

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Add missing files

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- add patch1 fix compile

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 05 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Remove 7.2 support (too old to be easily supported)
- Don't build static libraries
- Allow KDE 2 and KDE 3 to be installed in same time
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Add missing files
- Fix Group:

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improved spec file

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
